export type ErrorStatus = 400 | 401 | 403 | 404 | 409 | 422 | 500;
export default class Exception extends Error {
    readonly status: ErrorStatus;
    readonly context?: Record<string, any> | undefined;
    constructor(status: ErrorStatus, message: string, context?: Record<string, any> | undefined);
}
