import type { ValidationError } from './index.js';
import ValueObject from './index.js';
export default abstract class IntId extends ValueObject<number | string | null, number, number | null> {
    protected fromInput(): number | null;
    protected toOutput(): number;
    isSet(): boolean;
    getErrors(name: string): ValidationError[] | undefined;
    compare(value: this): number;
}
