import type { ValidationError } from './index.js';
import ValueObject from './index.js';
export default abstract class StringId extends ValueObject<number | string | null, string, string | null> {
    protected fromInput(): string | null;
    protected toOutput(): string;
    isSet(): boolean;
    getErrors(name: string): ValidationError[] | undefined;
    compare(value: this): number;
}
