import type { ValidationError } from './index.js';
import ValueObject from './index.js';
export default abstract class Flags<FlagTypes extends string> extends ValueObject<string, FlagTypes> {
    abstract get flagTypes(): FlagTypes[];
    getErrors(name: string): ValidationError[] | undefined;
    compare(value: this): number;
}
