import type { ValidationError } from './index.js';
import ValueObject from './index.js';
export default abstract class Float extends ValueObject<number | string, number> {
    protected fromInput(): number;
    protected getMaxNumber(): number | undefined;
    protected getMinNumber(): number | undefined;
    protected isTruncateMode(): boolean;
    getErrors(name: string): ValidationError[] | undefined;
    compare(value: this): number;
}
