import type { ValidationError } from './index.js';
import ValueObject from './index.js';
export default abstract class Url extends ValueObject<string, string> {
    getErrors(name: string): ValidationError[] | undefined;
    compare(value: this): number;
}
